% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/VDJ_alpha_beta_Vgene_circos.R
\name{VDJ_alpha_beta_Vgene_circos}
\alias{VDJ_alpha_beta_Vgene_circos}
\title{Circos plot for VDJ and VJ pairings}
\usage{
VDJ_alpha_beta_Vgene_circos(
  VDJ,
  V.or.J,
  B.or.Tcells,
  label.threshold,
  c.threshold,
  cell.level,
  clonotype.per.gene.threshold,
  c.count,
  platypus.version,
  filter1H1L
)
}
\arguments{
\item{VDJ}{For Platypus platypus.version v3, VDJ_GEX_matrix.output[[1]] has to be supplied. For Platypus V2 the output of the VDJ_GEX_integrate function is necessary}

\item{V.or.J}{Determines whether to plot the alpha beta gene pairing of the V or J genes. "V", "J" or "both" as possible inputs. Default: "both".}

\item{B.or.Tcells}{Specify whether B or T cells are being analyzed ("B" or "T"). If not specified, function attempts to decide based on gene names.}

\item{label.threshold}{Minimal amount of clonotypes per gene neccessary to add a gene label to the sector. Default: 0.}

\item{c.threshold}{Only clonotypes are considered with a frequency higher then c.threshold. Allows to filter for only highly expanded clonotypes.}

\item{cell.level}{Logical, defines whether weight of connection should be based on number of clonotypes of number of cells. Default: number of clonotypes.}

\item{clonotype.per.gene.threshold}{How many clonotypes are required to plot a sector for a gene. Filters the rows and colums of the final adjacency matrix.}

\item{c.count}{Show clonotype or cell count on Circos plot. Default = T.}

\item{platypus.version}{Which platypus.version of platypus is being used. Default = "v3".}

\item{filter1H1L}{Whether to filter the input VDJ.matrix in "v3" to only include cells with 1 VDJ and 1 VJ chain. Defaults to TRUE}
}
\value{
Returns list of plots. The first n elements contain the circos plot of the n datasets from the VDJ.analyze function. The n+1 element contains a list of the n adjancey matrices for each dataset.
}
\description{
Produces a Circos plot from the VDJ_GEX_matrix[[1]] output. Connects the V-alpha with the corresponding V-beta gene for each clonotype.
}
\examples{
\dontrun{
 plots <- VDJ_alpha_beta_Vgene_circos(Platypus::small_vgm[[1]]
 , platypus.version="v3")
}
}
